<?php
/**
 * @package      ITPrism Components
 * @subpackage   ITPMeta
 * @author       Todor Iliev
 * @copyright    Copyright (C) 2010 Todor Iliev <todor@itprism.com>. All rights reserved.
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ITPMeta is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
jimport('joomla.html.pane');

class ViewUrls extends JView {
    
    public function display($tpl = null){
        
        $model  = $this->getModel();
        /* @var $model ModelUrls */
        $layout = $this->getLayout();
        
        global $mainframe, $option;
        
        switch ( $layout ) {
            
            case "form":
                
                $document = JFactory::getDocument();
                /* @var $document JDocumentHTML */
                $document->addScript(JURI::base() . "components/com_itpmeta/assets/itpmeta.js");
                
                $js = "window.addEvent('domready', function() {
                    document.itpmMeta = new ItpMeta('itpm-content');
                    document.itpMetaTagsId = '';
                    
});
                ";
                $document->addScriptDeclaration($js);
                
                // Get task
                $cids   =   JRequest::getVar('cid', array(),null, 'array');
                JArrayHelper::toInteger($cids);
                
                $urlId     =   JArrayHelper::getValue( $cids, 0, 0, 'integer' );
                $row    =   $model->getTable();
                
                // Gets the item data
                if ($urlId) {
                    if (!$row->load($urlId)) {
                        throw new ItpException('ITP_ERROR_RECORDS_DO_NOT_EXIST', 500);
                    }
                    
                    $tags = $model->getTags($urlId);
                    $this->assignRef('tags',$tags);
                }
                    
                $this->assignRef('item',$row);
                
                // Loads MooTools library
                JHTML::_('behavior.mootools');
                JHTML::_('behavior.tooltip');
                
                // define modal options
                $modalOptions = array (
                    'size'=>array('x'=>500, 'y'=>200),
                    'onClose' => '\function() {document.itpmMeta.loadTag(document.itpMetaTagsId);}'
                );
                
                // Adds a JavaScript needs for modal windows
                JHTML::_('behavior.modal',"a.modal",$modalOptions);
    
                // The title of the page
                $title = ( !empty( $this->item->id ) ) ? JText::_( 'Edit URL' ) : JText::_( 'New URL' );
                $this->assign('title', $title );
                
            break;
            
            default:
                
                // prepare list array
                $lists = array();
                
                // Filter Ordering
                $filter_order       = $mainframe->getUserStateFromRequest($option . "." . $this->getName() . ".filter_order", 'filter_order', 'ordering', 'cmd');
                $filter_order_Dir   = $mainframe->getUserStateFromRequest($option . "." . $this->getName() . ".filter_order_Dir", 'filter_order_Dir', '', 'word');
                
                // Filter Search
                $filter_search      = $mainframe->getUserStateFromRequest($option. "." . $this->getName() . ".quotes.filter_search",'filter_search');
                $lists['search']    = $filter_search;
                        
                // The ordering of the table
                $lists['order_Dir'] = $filter_order_Dir;
                $lists['order']     = $filter_order;
                
                // Gets data from the model
                $items      = $model->getData();
                $pagination = $model->getPagination();
                
                $this->assignRef('lists', $lists);
                $this->assignRef('pagination', $pagination);
                $this->assignRef('items', $items);
                
            break;
        }
        
        parent::display($tpl);
    }

}